summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDylan Whichard2015-11-16 21:41:12 -0500
committerDylan Whichard2015-11-16 21:41:12 -0500
commita45ab25c9a7e5a568aa8f0e2446eed39bf4dd947 (patch)
tree28c22a6b839f6b8246a659c4c42fa6d78508dd21
downloadaur-a45ab25c9a7e5a568aa8f0e2446eed39bf4dd947.tar.gz
Initial commit
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD26
2 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..525920b8c1f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = asterisk-espeak
+ pkgdesc = Asterisk module that provides the "eSpeak" dialplan application. It allows you to use the eSpeak text to speech synthesizer.
+ pkgver = 2.2
+ pkgrel = 1
+ url = https://github.com/zaf/asterisk-espeak
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ depends = asterisk>=1.6
+ depends = espeak
+ depends = libsamplerate
+ depends = libsndfile
+ backup = etc/asterisk/espeak.conf
+ source = https://github.com/zaf/asterisk-espeak/archive/v2.2.tar.gz
+ sha1sums = 54dd328122237ca604835123c7073fe450df8b6e
+
+pkgname = asterisk-espeak
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d2b600a9963
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer : Dylan Whichard <dylan at whichard dot com>
+_pkgname=Asterisk-eSpeak
+pkgname=asterisk-espeak
+pkgver=2.2
+pkgrel=1
+pkgdesc='Asterisk module that provides the "eSpeak" dialplan application. It allows you to use the eSpeak text to speech synthesizer.'
+arch=('i686' 'x86_64')
+url='https://github.com/zaf/asterisk-espeak'
+license=('GPL2')
+depends=('asterisk>=1.6' 'espeak' 'libsamplerate' 'libsndfile')
+source=("https://github.com/zaf/${pkgname}/archive/v${pkgver}.tar.gz")
+sha1sums=('54dd328122237ca604835123c7073fe450df8b6e')
+backup=('etc/asterisk/espeak.conf')
+
+build() {
+ find .
+ cd "$srcdir/${_pkgname}-${pkgver}"
+ make
+}
+
+package() {
+ cd "$srcdir/${_pkgname}-${pkgver}"
+
+ make DESTDIR="$pkgdir" ASTLIBDIR="/usr/lib/asterisk/modules" install || return 1
+ make DESTDIR="$pkgdir" samples || return 1
+}